# Yac::add

(PECL yac >= 1.0.0)

Yac::add — Stock un élément dans le cache

### Description

public Yac::add(string `$keys`, mixed `$value`, int `$ttl` = 0): bool
public Yac::add(array `$key_vals`): bool

Ajoute un élément dans le cache.

### Liste de paramètres

`keys`

  chaîne de caractères ; la clé

`value`

  Tout type de valeur PHP peut être stocké, à l'exception d'une resource.

`ttl`

  Délai d'expiration.

### Valeurs de retour

booléen, `true` en cas de succès, `false` si une erreur survient.

> Note:

> La méthode Yac::add() peut échouer si le verrou ne peut être obtenu, aussi, si vous voulez que l'élément soit stocké proprement, vous devriez écrire le code comme ceci :

> Exemple #1 Permet de s'assurer que l'élément est stocké

> `while(!$yac->set("key", "vale));`